WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Amazon Showcase WordPress Widget] Error Message

[Plugin: Amazon Showcase WordPress Widget] Error Message

  • I get the following error once I activate the plugin:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘AmazonWidgetsShortcodeProductPreview::displayProductPreview’ was given in /home2/believf1/public_html/wp-includes/plugin.php on line 311

    Any help is appreciated.

    Greg

Viewing 3 replies - 1 through 3 (of 3 total)
  • bluebird2
    Participant

    @bluebird2

    I got an error message too:
    Warning: implode() [function.implode]: Bad arguments. in /var/www/vhosts/sourena.net/httpdocs/wp-content/plugins/amazonshowcase/amazonshowcase.php on line 1066

    The widget did not have any option either.

    purestblue
    Participant

    @purestblue

    I get the same error as bluebird2

    In addition, the two showcase widgets I had on my page disappeared during the upgrade to 2.7.1 (that might have been my fault), and when I try to re-create them there is no dialogue box to enter the ISBN/AmazonID.

    I look forward to a fix or resolution to this (please – I like Amazon Showcase, I don’t want to remove it!).

    purestblue
    Participant

    @purestblue

    Whoops! Lack of R’ing The Fine Manual on my part. Sorry, Aarron.

    To anyone who gets to this point: If you can activate the plugin, the next step is, in the WordPress Admin page, the link on lower-left for Settings has a new item, Amazon Showcase. Create a new Amazon Showcase widget there, then it’ll be available to add to your page under Appearance -> Widgets.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Amazon Showcase WordPress Widget] Error Message’ is closed to new replies.